Set default Role

Sets a Role as the default for new Users. This API is supported only for B2B tenants.

PUT
/v2/manage/roles/{id}/default

Sets a Role as the default for new Users. This API is supported only for B2B tenants.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

id*string

Role ID

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/roles/role_2enk23n3/default"
{
  "IsDefault": true
}

{
  "ErrorCode": 8126,
  "Message": "Role id is required",
  "Description": "Role id is required, Please provide Role id."
}

{
  "ErrorCode": 8143,
  "Message": "Role does not belong to tenant",
  "Description": "Role does not belong to tenant, Please provide valid Role id."
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}